### Virtual Method

# Camel NetworkService get_default_port

since: 3.2

#### Declaration [src]

    guint16
    get_default_port (
      CamelNetworkService* service,
      CamelNetworkSecurityMethod method
    )

#### Description [src]

Returns the default network port number for `service` and the security method `method`, as defined in /etc/services. For example, the default port for unencrypted IMAP or encrypted IMAP using STARTTLS is 143, but the default port for IMAP over SSL is 993.

Available since: 3.2

#### Parameters

`method`

  Type: `CamelNetworkSecurityMethod`

  A `CamelNetworkSecurityMethod`.

#### Return value

Type: `guint16`

The default port number for `service` and `method`.